# eric4.E4Gui.E4ToolBarDialog

Module implementing a toolbar configuration dialog.

### Global Attributes

None

### Classes

E4ToolBarDialog | Class implementing a toolbar configuration dialog.
E4ToolBarItem | Class storing data belonging to a toolbar entry of the toolbar dialog.

### Functions

None

## E4ToolBarDialog

Class implementing a toolbar configuration dialog.

### Derived from

QDialog, Ui_E4ToolBarDialog

### Class Attributes

ActionIdRole
WidgetActionRole

### Class Methods

None

### Methods

E4ToolBarDialog | Constructor
__resetCurrentToolbar | Private method to revert all changes made to the current toolbar.
__restoreCurrentToolbar | Private methdo to restore the current toolbar to the given list of actions.
__restoreCurrentToolbarToDefault | Private method to set the current toolbar to its default configuration.
__saveToolBars | Private method to save the configured toolbars.
__setupButtons | Private slot to set the buttons state.
__toolbarComboBox_currentIndexChanged | Private slot called upon a selection of the current toolbar.
on_actionsTree_currentItemChanged | Private slot called, when the currently selected action changes.
on_buttonBox_clicked | Private slot called, when a button of the button box was clicked.
on_downButton_clicked | Private slot used to move an action down in the list.
on_leftButton_clicked | Private slot to delete an action from the list.
on_newButton_clicked | Private slot to create a new toolbar.
on_removeButton_clicked | Private slot to remove a custom toolbar
on_renameButton_clicked | Private slot to rename a custom toolbar.
on_rightButton_clicked | Private slot to add an action to the list.
on_toolbarActionsList_currentItemChanged | Slot documentation goes here.
on_upButton_clicked | Private slot used to move an action up in the list.

### Static Methods

None

#### E4ToolBarDialog (Constructor)

E4ToolBarDialog(toolBarManager, parent = None)

Constructor

toolBarManager
  reference to a toolbar manager object (E4ToolBarManager)
parent
  reference to the parent widget (QWidget)

#### E4ToolBarDialog.__resetCurrentToolbar

__resetCurrentToolbar()

Private method to revert all changes made to the current toolbar.

#### E4ToolBarDialog.__restoreCurrentToolbar

__restoreCurrentToolbar(actions)

Private methdo to restore the current toolbar to the given list of actions.

actions
  list of actions to set for the current toolbar (list of QAction)

#### E4ToolBarDialog.__restoreCurrentToolbarToDefault

__restoreCurrentToolbarToDefault()

Private method to set the current toolbar to its default configuration.

#### E4ToolBarDialog.__saveToolBars

__saveToolBars()

Private method to save the configured toolbars.

#### E4ToolBarDialog.__setupButtons

__setupButtons()

Private slot to set the buttons state.

#### E4ToolBarDialog.__toolbarComboBox_currentIndexChanged

__toolbarComboBox_currentIndexChanged(index)

Private slot called upon a selection of the current toolbar.

index
  index of the new current toolbar (integer)

#### E4ToolBarDialog.on_actionsTree_currentItemChanged

on_actionsTree_currentItemChanged(current, previous)

Private slot called, when the currently selected action changes.

#### E4ToolBarDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called, when a button of the button box was clicked.

#### E4ToolBarDialog.on_downButton_clicked

on_downButton_clicked()

Private slot used to move an action down in the list.

#### E4ToolBarDialog.on_leftButton_clicked

on_leftButton_clicked()

Private slot to delete an action from the list.

#### E4ToolBarDialog.on_newButton_clicked

on_newButton_clicked()

Private slot to create a new toolbar.

#### E4ToolBarDialog.on_removeButton_clicked

on_removeButton_clicked()

Private slot to remove a custom toolbar

#### E4ToolBarDialog.on_renameButton_clicked

on_renameButton_clicked()

Private slot to rename a custom toolbar.

#### E4ToolBarDialog.on_rightButton_clicked

on_rightButton_clicked()

Private slot to add an action to the list.

#### E4ToolBarDialog.on_toolbarActionsList_currentItemChanged

on_toolbarActionsList_currentItemChanged(current, previous)

Slot documentation goes here.

#### E4ToolBarDialog.on_upButton_clicked

on_upButton_clicked()

Private slot used to move an action up in the list.

Up

## E4ToolBarItem

Class storing data belonging to a toolbar entry of the toolbar dialog.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

E4ToolBarItem | Constructor

### Static Methods

None

#### E4ToolBarItem (Constructor)

E4ToolBarItem(toolBarId, actionIDs, default)

Constructor

toolBarId
  id of the toolbar object (integer)
actionIDs
  list of action IDs belonging to the toolbar (list of integer)
default
  flag indicating a default toolbar (boolean)

Up